Subject: [saag] HKDF draft: draft-krawczyk-hkdf-00

From: Hugo Krawczyk <[email-masked]>
Date: Wed, 17 Jun 2009 17:29:57 -0400

Following my presentation at the San Francisco SAAG meeting,
Pasi and I have written a draft specifying an HMAC-based key derivation
function
for use by application and protocol designers.

It is based on the design and analysis presented in
http://www.ee.technion.ac.il/~hugo/kdf/

Below is the link to the draft.
It is intended as informational.

Hugo

---------- Forwarded message ----------
From: IETF I-D Submission Tool <[email-masked]>
Date: Wed, Jun 17, 2009 at 12:37 PM
Subject: New Version Notification for draft-krawczyk-hkdf-00
To: [email-masked]
Cc: [email-masked]

A new version of I-D, draft-krawczyk-hkdf-00.txt has been successfuly
submitted by Pasi Eronen and posted to the IETF repository.

Filename:        draft-krawczyk-hkdf
Revision:        00
Title:           HMAC-based Extract-and-Expand Key Derivation Function
(HKDF)
Creation_date:   2009-06-17
WG ID:           Independent Submission
Number_of_pages: 12

Abstract:
This document specifies a simple HMAC-based key derivation function
(HKDF) which can be used as a building block in various protocols and
applications.  The KDF is intended to support a wide range of
applications and requirements, and is conservative in its use of
cryptographic hash functions.

The IETF Secretariat.